<header>
  <nav class="navbar fixed-top navbar-expand-lg navbar-light">
    <div>
      <img id="logo" src="../../assets/images/90367_2303269_199577_thumbnail.jpg" alt="logo">
    </div>
    <a class="navbar-brand" href="#">GameShop</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
      <ul class="navbar-nav nav-object-1">
        <li class="nav-item active">
          <a class="nav-link" routerLink="">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/platform/ps4">Playstation 4</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/platform/XboxOne">Xbox One</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" routerLink="/platform/NSwitch">Nintendo Switch</a>
        </li>
        <li class="nav-item displayCart">
          <a class="nav-link" routerLink="/cart">Cart</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown" aria-haspopup="true"
            aria-expanded="false">
            Plus
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item" href="#">Nintendo Ds</a>
            <a class="dropdown-item" href="#">PS Vita</a>
          </div>
        </li>
        <li class=" nav-item dropdown">
          <a *ngIf="!isLogged" href="#" class=" nav-link login dropdown-toggle" data-toggle="dropdown"><b>Login</b> <span class="caret"></span></a>
          <a *ngIf="isLogged" href="#" (click)="goToAccount()" class=" nav-link login dropdown-toggle" data-toggle="dropdown"><b>My
              Account</b> <span class="caret"></span></a>
          <ul id="login-dp" class="dropdown-menu dropdown-menu-right">
            <li *ngIf="isLogged">
              <div class="bottom text-center">
                <h4>Hello {{name}}</h4>
                <div class="form-group">
                  <button (click)="logOut()" type="button" class="btn btn-primary btn-block">Log out</button>
                </div>
              </div>
            </li>
            <li *ngIf="!isLogged">
              <div class="row">
                <div class="col-md-12">
                  Login via Email
                  <form [formGroup]="formSign" class="form" role="form" method="post" (submit)="onSubmit()"
                    accept-charset="UTF-8" id="login-nav">
                    <div class="form-group">
                      <label class="sr-only" for="exampleInputEmail2">Email address</label>
                      <input type="email" autocomplete="username email" name="email" formControlName="email" [formGroup]="formSign" class="form-control"
                        id="exampleInputEmail2" placeholder="Email address" required>
                    </div>
                    <div class="form-group">
                      <label class="sr-only" for="exampleInputPassword2">Password</label>
                      <input type="password" name="password" formControlName="password" [formGroup]="formSign" class="form-control"
                        id="exampleInputPassword2" autocomplete="current-password" placeholder="Password" required>
                      <div class="help-block text-right"><a href="">Forget the password ?</a></div>
                    </div>
                    <div class="form-group">
                      <button type="submit" class="btn btn-primary btn-block">Sign in</button>
                    </div>
                    <div class="checkbox">
                      <label>
                        <input (change)="checkOnline($event)" type="checkbox"> keep me logged-in
                      </label>
                      <p *ngIf="isNotVerified">Please check Your Email to verify your account</p>
                    </div>
                  </form>
                </div>
                <div class="bottom text-center">
                  New here ? <a routerLink="/register"><b>Join Us</b></a>
                </div>
              </div>
            </li>
          </ul>
        </li>
      </ul>
    </div>
    <ul class="nav navbar-nav navbar-right nav-object-2">
      <li class="cart">
        <a routerLink="/cart">
          <span class="fa-stack fa-2x has-badge" [attr.data-count]="totalItems">
            <i class="fa fa-circle fa-stack-2x"></i>
            <i class="fa fa-shopping-cart fa-stack-1x fa-inverse"></i>

          </span>
        </a>
      </li>

    </ul>
  </nav>
</header>